"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/providers/auth/web3/WagmiAuthProvider.tsx
var _wagmi = require('wagmi');










var _chains = require('wagmi/chains');
var _reactquery = require('@tanstack/react-query');
var _connectors = require('wagmi/connectors');
var _jsxruntime = require('react/jsx-runtime');
var ALCHEMY_API_KEY = "-7M6vRDBDknwvMxnqah_jbcieWg0qad9";
var ALCHEMY_RPC_SUBDOMAIN = {
  mainnet: "mainnet",
  polygon: "polygon-mainnet",
  "polygon-amoy": "polygon-amoy",
  base: "base-mainnet",
  "base-sepolia": "base-sepolia",
  optimism: "opt-mainnet",
  "optimism-sepolia": "opt-sepolia",
  arbitrum: "arb-mainnet",
  "arbitrum-sepolia": "arb-sepolia"
};
function getAlchemyRPC(chain) {
  return `https://${ALCHEMY_RPC_SUBDOMAIN[chain]}.g.alchemy.com/v2/${ALCHEMY_API_KEY}`;
}
var config = _wagmi.createConfig.call(void 0, {
  chains: [_chains.mainnet, _chains.base, _chains.polygon, _chains.optimism, _chains.arbitrum, _chains.baseSepolia, _chains.polygonAmoy, _chains.optimismSepolia, _chains.arbitrumSepolia],
  connectors: [_connectors.metaMask.call(void 0, ), _connectors.walletConnect.call(void 0, { projectId: "94ed8f7549329dad7be968888eec3688" })],
  transports: {
    [_chains.mainnet.id]: _wagmi.http.call(void 0, getAlchemyRPC("mainnet")),
    [_chains.base.id]: _wagmi.http.call(void 0, getAlchemyRPC("base")),
    [_chains.polygon.id]: _wagmi.http.call(void 0, getAlchemyRPC("polygon")),
    [_chains.optimism.id]: _wagmi.http.call(void 0, getAlchemyRPC("optimism")),
    [_chains.arbitrum.id]: _wagmi.http.call(void 0, getAlchemyRPC("arbitrum")),
    [_chains.baseSepolia.id]: _wagmi.http.call(void 0, getAlchemyRPC("base-sepolia")),
    [_chains.polygonAmoy.id]: _wagmi.http.call(void 0, getAlchemyRPC("polygon-amoy")),
    [_chains.optimismSepolia.id]: _wagmi.http.call(void 0, getAlchemyRPC("optimism-sepolia")),
    [_chains.arbitrumSepolia.id]: _wagmi.http.call(void 0, getAlchemyRPC("arbitrum-sepolia"))
  }
});
function WagmiAuthProvider({ children }) {
  const queryClient = new (0, _reactquery.QueryClient)();
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _wagmi.WagmiProvider, { config, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactquery.QueryClientProvider, { client: queryClient, children }) });
}



exports.WagmiAuthProvider = WagmiAuthProvider;
//# sourceMappingURL=chunk-5S4VO6RB.cjs.map