import {
  handleEvmTransaction
} from "./chunk-LKO5WR7D.js";
import {
  handleSolanaTransaction
} from "./chunk-FH7TEEZR.js";
import {
  __async,
  __spreadProps,
  __spreadValues
} from "./chunk-CRTRMMJ7.js";

// src/components/embed/v3/crypto/utils/handleSendTransaction.ts
import { isSolanaWallet } from "@dynamic-labs/solana";
import { isEthereumWallet } from "@dynamic-labs/ethereum";
function handleSendTransaction(primaryWallet, chain, serializedTransaction, iframeClient) {
  return __async(this, null, function* () {
    const commonParams = {
      chain,
      serializedTransaction,
      iframeClient
    };
    if (isSolanaWallet(primaryWallet)) {
      return yield handleSolanaTransaction(__spreadProps(__spreadValues({}, commonParams), {
        primaryWallet
      }));
    } else if (isEthereumWallet(primaryWallet)) {
      return yield handleEvmTransaction(__spreadProps(__spreadValues({}, commonParams), { primaryWallet }));
    }
  });
}

export {
  handleSendTransaction
};
//# sourceMappingURL=chunk-5VZNJ4VT.js.map