import {
  __async
} from "./chunk-CRTRMMJ7.js";

// src/components/embed/v3/crypto/utils/handleEvmTransaction.ts
import {
  blockchainToChainId
} from "@crossmint/common-sdk-base";
import { parseTransaction } from "viem";
function handleEvmTransaction(_0) {
  return __async(this, arguments, function* ({
    primaryWallet,
    chain,
    serializedTransaction,
    iframeClient
  }) {
    try {
      yield primaryWallet.switchNetwork(blockchainToChainId(chain));
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to switch network", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
    let walletClient;
    try {
      walletClient = yield primaryWallet.getWalletClient();
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to get wallet client", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
    let parsedTransaction;
    try {
      parsedTransaction = parseTransaction(serializedTransaction);
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to parse transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
      return;
    }
    try {
      const txId = yield walletClient.sendTransaction(parsedTransaction);
      console.log("[CryptoWalletConnectionHandler] txId", txId);
      iframeClient.send("crypto:send-transaction:success", {
        txId
      });
    } catch (error) {
      console.error("[CryptoWalletConnectionHandler] failed to send transaction", error);
      iframeClient.send("crypto:send-transaction:failed", {
        error: error.message
      });
    }
  });
}

export {
  handleEvmTransaction
};
//# sourceMappingURL=chunk-LKO5WR7D.js.map