"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkVWRC3IFZcjs = require('./chunk-VWRC3IFZ.cjs');


var _chunkKEKBOJCFcjs = require('./chunk-KEKBOJCF.cjs');

// src/hooks/useCrossmintCheckout.tsx
var _react = require('react');
var _jsxruntime = require('react/jsx-runtime');
var CrossmintCheckoutContext = _react.createContext.call(void 0, void 0);
function CrossmintCheckoutProvider({ children }) {
  const [order, setOrder] = _react.useState.call(void 0, void 0);
  const [orderClientSecret, setOrderClientSecret] = _react.useState.call(void 0, void 0);
  const { crossmint } = _chunkKEKBOJCFcjs.useCrossmint.call(void 0, );
  const apiClient = _chunkVWRC3IFZcjs.createCrossmintApiClient.call(void 0, crossmint, {
    usageOrigin: "client"
  });
  _react.useEffect.call(void 0, () => {
    const listener = (event) => {
      if (event.origin !== new URL(apiClient.baseUrl).origin) {
        return;
      }
      if (event.data.event !== "order:updated") {
        return;
      }
      const { order: order2, orderClientSecret: orderClientSecret2 } = event.data.data;
      setOrder(order2);
      setOrderClientSecret(orderClientSecret2);
    };
    window.addEventListener("message", listener);
    return () => {
      window.removeEventListener("message", listener);
    };
  }, [order]);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, CrossmintCheckoutContext.Provider, { value: { order, orderClientSecret }, children });
}
function useCrossmintCheckout() {
  const context = _react.useContext.call(void 0, CrossmintCheckoutContext);
  if (!context) {
    throw new Error("useCrossmintCheckout must be used within a CrossmintCheckoutProvider");
  }
  return context;
}




exports.CrossmintCheckoutProvider = CrossmintCheckoutProvider; exports.useCrossmintCheckout = useCrossmintCheckout;
//# sourceMappingURL=chunk-OPIHF55A.cjs.map