// src/providers/auth/web3/WagmiAuthProvider.tsx
import { createConfig, http, WagmiProvider } from "wagmi";
import {
  arbitrum,
  arbitrumSepolia,
  base,
  baseSepolia,
  optimism,
  optimismSepolia,
  polygon,
  polygonAmoy,
  mainnet
} from "wagmi/chains";
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
import { metaMask, walletConnect } from "wagmi/connectors";
import { jsx } from "react/jsx-runtime";
var ALCHEMY_API_KEY = "-7M6vRDBDknwvMxnqah_jbcieWg0qad9";
var ALCHEMY_RPC_SUBDOMAIN = {
  mainnet: "mainnet",
  polygon: "polygon-mainnet",
  "polygon-amoy": "polygon-amoy",
  base: "base-mainnet",
  "base-sepolia": "base-sepolia",
  optimism: "opt-mainnet",
  "optimism-sepolia": "opt-sepolia",
  arbitrum: "arb-mainnet",
  "arbitrum-sepolia": "arb-sepolia"
};
function getAlchemyRPC(chain) {
  return `https://${ALCHEMY_RPC_SUBDOMAIN[chain]}.g.alchemy.com/v2/${ALCHEMY_API_KEY}`;
}
var config = createConfig({
  chains: [mainnet, base, polygon, optimism, arbitrum, baseSepolia, polygonAmoy, optimismSepolia, arbitrumSepolia],
  connectors: [metaMask(), walletConnect({ projectId: "94ed8f7549329dad7be968888eec3688" })],
  transports: {
    [mainnet.id]: http(getAlchemyRPC("mainnet")),
    [base.id]: http(getAlchemyRPC("base")),
    [polygon.id]: http(getAlchemyRPC("polygon")),
    [optimism.id]: http(getAlchemyRPC("optimism")),
    [arbitrum.id]: http(getAlchemyRPC("arbitrum")),
    [baseSepolia.id]: http(getAlchemyRPC("base-sepolia")),
    [polygonAmoy.id]: http(getAlchemyRPC("polygon-amoy")),
    [optimismSepolia.id]: http(getAlchemyRPC("optimism-sepolia")),
    [arbitrumSepolia.id]: http(getAlchemyRPC("arbitrum-sepolia"))
  }
});
function WagmiAuthProvider({ children }) {
  const queryClient = new QueryClient();
  return /* @__PURE__ */ jsx(WagmiProvider, { config, children: /* @__PURE__ */ jsx(QueryClientProvider, { client: queryClient, children }) });
}

export {
  WagmiAuthProvider
};
//# sourceMappingURL=chunk-OZS4WEKF.js.map