"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkUCQ5VAPTcjs = require('./chunk-UCQ5VAPT.cjs');


var _chunkUQAKJ4T7cjs = require('./chunk-UQAKJ4T7.cjs');



var _chunk4DAZAO6Ycjs = require('./chunk-4DAZAO6Y.cjs');

// src/components/embed/v3/crypto/CryptoWalletConnectionHandler.tsx


var _commonsdkbase = require('@crossmint/common-sdk-base');
var _ethereum = require('@dynamic-labs/ethereum');
var _sdkreactcore = require('@dynamic-labs/sdk-react-core');
var _solana = require('@dynamic-labs/solana');
var _react = require('react');
var _jsxruntime = require('react/jsx-runtime');
function CryptoWalletConnectionHandler(props) {
  const { iframeClient, apiKeyEnvironment } = props;
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    _chunkUQAKJ4T7cjs.DynamicContextProviderWrapper,
    {
      apiKeyEnvironment,
      settings: {
        walletConnectors: [_ethereum.EthereumWalletConnectors, _solana.SolanaWalletConnectors],
        events: {
          onAuthFlowCancel() {
            console.log("[CryptoWalletConnectionHandler] onAuthFlowCancel");
            iframeClient == null ? void 0 : iframeClient.send("crypto:connect-wallet.failed", {
              error: "cancelled"
            });
          },
          onAuthFlowClose() {
            console.log("[CryptoWalletConnectionHandler] onAuthFlowClose");
          },
          onAuthFailure(data, reason) {
            console.error("[CryptoWalletConnectionHandler] onAuthFailure", data, reason);
          },
          onAuthSuccess(data) {
            console.log("[CryptoWalletConnectionHandler] onAuthSuccess", data);
          }
        },
        handlers: {
          handleConnectedWallet: (wallet) => _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
            var _a;
            console.log("[CryptoWalletConnectionHandler] handleConnectedWallet", wallet);
            const address = wallet.address;
            if (!address) {
              console.error("[CryptoWalletConnectionHandler] handleConnectedWallet: address is missing");
              iframeClient == null ? void 0 : iframeClient.send("crypto:connect-wallet.failed", {
                error: "address is missing"
              });
              return false;
            }
            const chain = yield dynamicChainToCrossmintChain(wallet);
            iframeClient == null ? void 0 : iframeClient.send("crypto:connect-wallet.success", {
              address,
              chain,
              walletProviderKey: (_a = wallet.connector) == null ? void 0 : _a.key
            });
            return true;
          })
        }
      },
      children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _CryptoWalletConnectionHandler, _chunk4DAZAO6Ycjs.__spreadValues.call(void 0, {}, props))
    }
  );
}
function _CryptoWalletConnectionHandler({ iframeClient }) {
  const { setShowAuthFlow, primaryWallet, handleLogOut } = _sdkreactcore.useDynamicContext.call(void 0, );
  _react.useEffect.call(void 0, () => {
    if (iframeClient == null) {
      return;
    }
    const showAuthFlowListener = iframeClient.on("crypto:connect-wallet.show", (_0) => _chunk4DAZAO6Ycjs.__async.call(void 0, this, [_0], function* ({ show }) {
      yield handleLogOut();
      setShowAuthFlow(show);
    }));
    return () => {
      iframeClient.off(showAuthFlowListener);
    };
  }, [iframeClient, handleLogOut, setShowAuthFlow]);
  _react.useEffect.call(void 0, () => {
    if (iframeClient == null) {
      return;
    }
    const signTransactionListener = iframeClient.on(
      "crypto:send-transaction",
      (_0) => _chunk4DAZAO6Ycjs.__async.call(void 0, this, [_0], function* ({ chain, serializedTransaction }) {
        if (primaryWallet == null) {
          console.error("[CryptoWalletConnectionHandler] signTransaction: primaryWallet is missing");
          iframeClient.send("crypto:send-transaction:failed", {
            error: "primaryWallet is missing"
          });
          return;
        }
        yield _chunkUCQ5VAPTcjs.handleSendTransaction.call(void 0, 
          primaryWallet,
          chain,
          serializedTransaction,
          iframeClient
        );
      })
    );
    return () => {
      iframeClient.off(signTransactionListener);
    };
  }, [iframeClient, primaryWallet]);
  return null;
}
function dynamicChainToCrossmintChain(wallet) {
  return _chunk4DAZAO6Ycjs.__async.call(void 0, this, null, function* () {
    var _a;
    const chain = wallet.chain;
    if (chain === "SOL") {
      return "solana";
    }
    const chainId = yield (_a = wallet.connector) == null ? void 0 : _a.getNetwork();
    if (typeof chainId !== "number") {
      throw new Error("chainId is not a number");
    }
    const chainFromChainId = _commonsdkbase.chainIdToBlockchain.call(void 0, chainId);
    if (!chainFromChainId) {
      throw new Error(`ChainId ${chainId} is not supported`);
    }
    return chainFromChainId;
  });
}



exports.CryptoWalletConnectionHandler = CryptoWalletConnectionHandler;
//# sourceMappingURL=chunk-REUYMHNW.cjs.map