import {
  PoweredByCrossmint
} from "./chunk-FKIMKZ4Y.js";
import {
  classNames
} from "./chunk-RZPQIRIY.js";
import {
  PasskeyIcon
} from "./chunk-IQPA3QOV.js";
import {
  PasskeyPromptLogo
} from "./chunk-CPYPI45H.js";
import {
  FingerprintIcon
} from "./chunk-H4F7UVPT.js";

// src/components/auth/PasskeyPrompt.tsx
import { Button, Dialog, Transition } from "@headlessui/react";
import { Fragment } from "react";
import { Fragment as Fragment2, jsx, jsxs } from "react/jsx-runtime";
function PasskeyPromptCore({ title, content, primaryButton, secondaryAction, appearance }) {
  var _a, _b, _c, _d, _e;
  return /* @__PURE__ */ jsxs(
    Dialog,
    {
      open: true,
      onClose: () => {
      },
      className: classNames("fixed inset-0 z-20 flex items-center justify-center overflow-y-auto"),
      children: [
        /* @__PURE__ */ jsx(
          Transition.Child,
          {
            as: Fragment,
            enter: "ease-out duration-400",
            enterFrom: "opacity-0",
            enterTo: "opacity-100",
            leave: "ease-in duration-400",
            leaveFrom: "opacity-100",
            leaveTo: "opacity-0",
            children: /* @__PURE__ */ jsx(
              "div",
              {
                className: classNames(
                  "fixed inset-0 bg-[rgba(139,151,151,0.2)] backdrop-blur-[2px] transition-opacity duration-300 ease-in-out -z-10"
                )
              }
            )
          }
        ),
        /* @__PURE__ */ jsx(
          "div",
          {
            style: {
              display: "flex",
              flexDirection: "column",
              alignItems: "center",
              width: "100%",
              maxWidth: "28rem",
              borderRadius: "1rem",
              boxShadow: "0 1px 2px 0 rgba(0, 0, 0, 0.05)",
              zIndex: 30,
              border: "1px solid",
              backgroundColor: ((_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.background) || "white",
              borderColor: ((_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.border) || "#D0D5DD"
            },
            onClick: (e) => e.stopPropagation(),
            children: /* @__PURE__ */ jsxs("div", { className: "pt-12 pb-10 px-8", children: [
              /* @__PURE__ */ jsx("div", { className: "flex justify-center left-1.5 relative", children: /* @__PURE__ */ jsx(PasskeyPromptLogo, { appearance }) }),
              /* @__PURE__ */ jsx("div", { className: "flex justify-center", children: /* @__PURE__ */ jsx(
                "p",
                {
                  style: {
                    fontSize: "1.125rem",
                    lineHeight: "1.75rem",
                    fontWeight: "bold",
                    color: ((_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.textPrimary) || "#20343E"
                  },
                  children: title
                }
              ) }),
              /* @__PURE__ */ jsx("div", { className: "mt-4 mb-9", children: /* @__PURE__ */ jsx(
                "div",
                {
                  style: {
                    fontWeight: "normal",
                    color: ((_d = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _d.textSecondary) || "#67797F"
                  },
                  children: content
                }
              ) }),
              /* @__PURE__ */ jsxs("div", { className: "flex flex-col gap-4 justify-center", children: [
                primaryButton,
                secondaryAction
              ] }),
              /* @__PURE__ */ jsx("div", { className: "flex justify-center pt-4", children: /* @__PURE__ */ jsx(PoweredByCrossmint, { color: (_e = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _e.textSecondary }) })
            ] })
          }
        )
      ]
    }
  );
}
function PasskeyPrompt({ state, appearance }) {
  var _a, _b;
  switch (state.type) {
    case "create-wallet":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Create Your Wallet",
          appearance,
          content: /* @__PURE__ */ jsxs(Fragment2, { children: [
            /* @__PURE__ */ jsx("div", { className: "mb-4", children: "You're about to create a wallet." }),
            /* @__PURE__ */ jsxs("div", { className: "flex flex-col gap-2", children: [
              /* @__PURE__ */ jsxs("div", { className: "flex gap-2", children: [
                /* @__PURE__ */ jsx("div", { children: /* @__PURE__ */ jsx(PasskeyIcon, {}) }),
                "Your wallet will be secured with a passkey"
              ] }),
              /* @__PURE__ */ jsxs("div", { className: "flex gap-2", children: [
                /* @__PURE__ */ jsx("div", { children: /* @__PURE__ */ jsx(FingerprintIcon, {}) }),
                "Your device will ask you for your fingerprint, face, or screen lock to set it up"
              ] })
            ] })
          ] }),
          primaryButton: /* @__PURE__ */ jsx(Button, { style: primaryButtonStyles(appearance), onClick: state.primaryActionOnClick, children: "Create Wallet" })
        }
      );
    case "create-wallet-error":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Wallet Creation Failed",
          appearance,
          content: /* @__PURE__ */ jsx("div", { className: "mb-6", children: "We couldn't create your wallet. This could be due to rejecting the request, a timeout, or not having access to your passkey on this device." }),
          primaryButton: /* @__PURE__ */ jsx(Button, { style: primaryButtonStyles(appearance), onClick: state.primaryActionOnClick, children: "Try again" })
        }
      );
    case "transaction":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "First Time Using Your Wallet",
          appearance,
          content: /* @__PURE__ */ jsx("div", { className: "flex flex-col gap-2", children: /* @__PURE__ */ jsxs("div", { className: "flex gap-2", children: [
            /* @__PURE__ */ jsx("div", { children: /* @__PURE__ */ jsx(FingerprintIcon, {}) }),
            /* @__PURE__ */ jsx("span", { children: "Your device will ask you for your fingerprint, face, or screen lock to authorize this action." })
          ] }) }),
          primaryButton: /* @__PURE__ */ jsx(Button, { style: primaryButtonStyles(appearance), onClick: state.primaryActionOnClick, children: "Use Wallet" })
        }
      );
    case "transaction-error":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Wallet Access Failed",
          appearance,
          content: /* @__PURE__ */ jsx("div", { className: "mb-6", children: "We couldn't access your wallet. This could be due to rejecting the request, a timeout, or not having access to your passkey on this device." }),
          primaryButton: /* @__PURE__ */ jsx(Button, { style: primaryButtonStyles(appearance), onClick: state.primaryActionOnClick, children: "Try again" }),
          secondaryAction: /* @__PURE__ */ jsx(
            "a",
            {
              href: "https://docs.crossmint.com/wallets/smart-wallets/users/troubleshoot",
              rel: "noopener noreferrer",
              target: "_blank",
              style: {
                padding: "0.875rem",
                width: "100%",
                textAlign: "center",
                textDecoration: "none",
                borderRadius: "0.5rem",
                fontWeight: "bold",
                backgroundColor: ((_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.inputBackground) || "#F0F2F4",
                color: ((_b = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _b.textSecondary) || "#00150D"
              },
              children: "Troubleshoot"
            }
          )
        }
      );
    case "not-supported":
      return /* @__PURE__ */ jsx(
        PasskeyPromptCore,
        {
          title: "Passkeys Not Supported on This Device",
          appearance,
          content: /* @__PURE__ */ jsx("div", { className: "mb-6", children: "To access your wallet with a passkey, switch to a device or browser that supports passkeys, such as Chrome or Safari on a smartphone, tablet, or modern computer" }),
          primaryButton: /* @__PURE__ */ jsx(Button, { style: primaryButtonStyles(appearance), onClick: state.primaryActionOnClick, children: "Understood" })
        }
      );
    default:
      return null;
  }
}
var primaryButtonStyles = (appearance) => {
  var _a, _b, _c, _d, _e, _f, _g;
  return {
    padding: "0.875rem",
    width: "100%",
    backgroundColor: (_b = (_a = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _a.buttonBackground) != null ? _b : "#04AA6D",
    color: (_d = (_c = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _c.textPrimary) != null ? _d : "white",
    borderRadius: (_e = appearance == null ? void 0 : appearance.borderRadius) != null ? _e : "8px",
    borderColor: (_g = (_f = appearance == null ? void 0 : appearance.colors) == null ? void 0 : _f.border) != null ? _g : "#04AA6D",
    borderWidth: "1px",
    fontWeight: "bold"
  };
};

export {
  PasskeyPrompt
};
//# sourceMappingURL=chunk-XEZF7G64.js.map