import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { OAuthProvider } from '@crossmint/common-sdk-auth';
import { UIConfig } from '@crossmint/common-sdk-base';
import { LoginMethod, CrossmintAuthWalletConfig } from '../CrossmintAuthProvider.js';
import '@crossmint/client-sdk-auth';
import '@crossmint/client-sdk-smart-wallet';

type AuthStep = "initial" | "otp" | "qrCode" | "web3" | "web3/metamask" | "web3/walletconnect";
type OAuthUrlMap = Record<OAuthProvider, string>;
interface AuthFormContextType {
    step: AuthStep;
    appearance?: UIConfig;
    loginMethods: LoginMethod[];
    oauthUrlMap: OAuthUrlMap;
    isLoadingOauthUrlMap: boolean;
    baseUrl: string;
    setStep: (step: AuthStep) => void;
    setDialogOpen: (open: boolean) => void;
}
type ContextInitialStateProps = {
    appearance?: UIConfig;
    loginMethods: LoginMethod[];
    baseUrl: string;
    setDialogOpen?: (open: boolean) => void;
    embeddedWallets: CrossmintAuthWalletConfig;
};
declare const useAuthForm: () => AuthFormContextType;
declare const AuthFormProvider: ({ children, initialState, }: {
    children: ReactNode;
    initialState: ContextInitialStateProps;
}) => react_jsx_runtime.JSX.Element;

export { AuthFormProvider, useAuthForm };
